List all transactions across every account of the authenticated integrator
curl --request GET \
--url https://api.byzantine.fi/v1/query/get-all-transactions \
--header 'X-Pubkey: <x-pubkey>' \
--header 'X-Pubkey, X-Timestamp, X-Signature: <api-key>' \
--header 'X-Signature: <x-signature>' \
--header 'X-Timestamp: <x-timestamp>'import requests
url = "https://api.byzantine.fi/v1/query/get-all-transactions"
headers = {
"X-Pubkey": "<x-pubkey>",
"X-Timestamp": "<x-timestamp>",
"X-Signature": "<x-signature>",
"X-Pubkey, X-Timestamp, X-Signature": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'X-Pubkey': '<x-pubkey>',
'X-Timestamp': '<x-timestamp>',
'X-Signature': '<x-signature>',
'X-Pubkey, X-Timestamp, X-Signature': '<api-key>'
}
};
fetch('https://api.byzantine.fi/v1/query/get-all-transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"transactions": [
{
"transactionId": "550e8400-e29b-41d4-a716-446655440000",
"accountId": "550e8400-e29b-41d4-a716-446655440000",
"chainId": 123,
"intermediaryAmount": "123.456789",
"type": "deposit",
"status": "completed",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"relatedTransactionId": "550e8400-e29b-41d4-a716-446655440000",
"vaultAddr": "<string>",
"transactionHash": "<string>",
"broadcastedAt": "2023-11-07T05:31:56Z",
"sourceCurrency": "usd",
"destinationCurrency": "usd",
"sourceAmount": "123.456789",
"destinationAmount": "123.456789",
"destinationAddress": "<string>",
"account": {
"accountName": "<string>",
"entityId": "550e8400-e29b-41d4-a716-446655440000",
"ownerUserId": "550e8400-e29b-41d4-a716-446655440000",
"imageUrl": "<string>"
},
"withdrawalRequest": {
"requestId": "550e8400-e29b-41d4-a716-446655440000",
"status": "pending"
}
}
],
"total": 8753,
"limit": 20,
"offset": 0
}Transactions
List all transactions across every account of the authenticated integrator
Returns transactions across all accounts owned by the integrator, paginated and ordered (DESC by default).
Excludes transactions still in an internal status (created, claimed).
GET
/
v1
/
query
/
get-all-transactions
List all transactions across every account of the authenticated integrator
curl --request GET \
--url https://api.byzantine.fi/v1/query/get-all-transactions \
--header 'X-Pubkey: <x-pubkey>' \
--header 'X-Pubkey, X-Timestamp, X-Signature: <api-key>' \
--header 'X-Signature: <x-signature>' \
--header 'X-Timestamp: <x-timestamp>'import requests
url = "https://api.byzantine.fi/v1/query/get-all-transactions"
headers = {
"X-Pubkey": "<x-pubkey>",
"X-Timestamp": "<x-timestamp>",
"X-Signature": "<x-signature>",
"X-Pubkey, X-Timestamp, X-Signature": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'X-Pubkey': '<x-pubkey>',
'X-Timestamp': '<x-timestamp>',
'X-Signature': '<x-signature>',
'X-Pubkey, X-Timestamp, X-Signature': '<api-key>'
}
};
fetch('https://api.byzantine.fi/v1/query/get-all-transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"transactions": [
{
"transactionId": "550e8400-e29b-41d4-a716-446655440000",
"accountId": "550e8400-e29b-41d4-a716-446655440000",
"chainId": 123,
"intermediaryAmount": "123.456789",
"type": "deposit",
"status": "completed",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"relatedTransactionId": "550e8400-e29b-41d4-a716-446655440000",
"vaultAddr": "<string>",
"transactionHash": "<string>",
"broadcastedAt": "2023-11-07T05:31:56Z",
"sourceCurrency": "usd",
"destinationCurrency": "usd",
"sourceAmount": "123.456789",
"destinationAmount": "123.456789",
"destinationAddress": "<string>",
"account": {
"accountName": "<string>",
"entityId": "550e8400-e29b-41d4-a716-446655440000",
"ownerUserId": "550e8400-e29b-41d4-a716-446655440000",
"imageUrl": "<string>"
},
"withdrawalRequest": {
"requestId": "550e8400-e29b-41d4-a716-446655440000",
"status": "pending"
}
}
],
"total": 8753,
"limit": 20,
"offset": 0
}Headers
Query Parameters
Response
Transactions retrieved successfully

